Obtener listado de comprobantes
curl --request GET \
--url https://rest.yafacture.com/emisores-comprobantes \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.yafacture.com/emisores-comprobantes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.yafacture.com/emisores-comprobantes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rest.yafacture.com/emisores-comprobantes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://rest.yafacture.com/emisores-comprobantes")
.header("x-api-key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rest.yafacture.com/emisores-comprobantes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"emisorId": "<string>",
"comprobanteId": "<string>",
"borradorId": "",
"cuentaId": "",
"origen": "app",
"fechaNumerica": 123,
"etiquetasIds": []
}
]{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}Emisores comprobantes
Obtener listado de comprobantes
GET
/
emisores-comprobantes
Obtener listado de comprobantes
Authorizations
x-api-keybearer
X-API-Key authentication header for the development token generated in Yafacture
Query Parameters
Response
Identificador único del emisor
Identificador único del comprobante
Identificador único del borrador
Identificador único de la cuenta
Origen del registro (app, api, importación, etc.)
Fecha en formato numérico (YYYYMMDD)
Lista de identificadores de etiquetas asociadas

